Bug 265089

Summary: plasma-desktop crash after kded crash
Product: plasma4 Reporter: ancow <bugs>
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: andresbajotierra, aseigo
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description ancow 2011-02-01 14:10:25 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-25-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
- Unusual behavior I noticed:

This happened right after bug #248004
I tried to open konqueror via bookmarks, accessing a site that requires a password via htaccess.
=> kded crash
=> plasma-desktop crash

-- Backtrace:
Application: Plasma-Desktop-Umgebung (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f3aebaa7780 (LWP 2022))]

Thread 5 (Thread 0x7f3ace4d7700 (LWP 2024)):
#0  0x00007f3aeb3af203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f3ae0201009 in g_main_context_poll (context=0x1e28f70, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:3093
#2  g_main_context_iterate (context=0x1e28f70, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2775
#3  0x00007f3ae020145c in g_main_context_iteration (context=0x1e28f70, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#4  0x00007f3ae87301e6 in QEventDispatcherGlib::processEvents (this=0x1e28880, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f3ae8702a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f3ae8702dec in QEventLoop::exec (this=0x7f3ace4d6d90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f3ae860d2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f3ae86e25f8 in QInotifyFileSystemWatcherEngine::run (this=0x1e15ca0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f3ae861027e in QThreadPrivate::start (arg=0x1e15ca0) at thread/qthread_unix.cpp:266
#10 0x00007f3ae08b3971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f3aeb3bb92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f3abdae4700 (LWP 2043)):
#0  0x00007f3ae08b5665 in __pthread_mutex_lock (mutex=0x240b308) at pthread_mutex_lock.c:61
#1  0x00007f3ae0200fc6 in g_main_context_poll (context=0x240b300, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:3088
#2  g_main_context_iterate (context=0x240b300, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2775
#3  0x00007f3ae020145c in g_main_context_iteration (context=0x240b300, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#4  0x00007f3ae87301e6 in QEventDispatcherGlib::processEvents (this=0x23f3220, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f3ae8702a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f3ae8702dec in QEventLoop::exec (this=0x7f3abdae3d90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f3ae860d2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f3ae86e25f8 in QInotifyFileSystemWatcherEngine::run (this=0x240a740) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f3ae861027e in QThreadPrivate::start (arg=0x240a740) at thread/qthread_unix.cpp:266
#10 0x00007f3ae08b3971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f3aeb3bb92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f3abca72700 (LWP 2106)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3ae6de020e in WTF::TCMalloc_PageHeap::scavengerThread (this=<value optimized out>) at wtf/FastMalloc.cpp:2378
#2  0x00007f3ae6de0329 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f3ae7597f14) at wtf/FastMalloc.cpp:1497
#3  0x00007f3ae08b3971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f3aeb3bb92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f3aba8c0700 (LWP 2926)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f3ae5c73334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f3ae5f7e160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f3ae5c73369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f3ae5f8c234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f3ae08b3971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f3aeb3bb92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f3aebaa7780 (LWP 2022)):
[KCrash Handler]
#6  0x00007f3ae93a77fa in QString (this=0x39d005c, group=0, state=0) at /usr/include/qt4/QtCore/qstring.h:727
#7  KIconEffect::fingerprint (this=0x39d005c, group=0, state=0) at ../../kdeui/icons/kiconeffect.cpp:169
#8  0x00007f3ae93ab23e in KIconLoaderPrivate::makeCacheKey (this=<value optimized out>, name=..., group=KIconLoader::Desktop, overlays=..., size=24, state=0) at ../../kdeui/icons/kiconloader.cpp:782
#9  0x00007f3ae93b32c4 in KIconLoader::loadIcon (this=0x26f2610, _name=<value optimized out>, group=KIconLoader::Desktop, size=24, state=0, overlays=..., path_store=0x0, canReturnNull=false) at ../../kdeui/icons/kiconloader.cpp:1226
#10 0x00007f3ae93a9df0 in KIconEngine::pixmap (this=<value optimized out>, size=..., mode=<value optimized out>, state=<value optimized out>) at ../../kdeui/icons/kiconengine.cpp:93
#11 0x00007f3ae7b1fe55 in QIcon::pixmap (this=<value optimized out>, size=..., mode=QIcon::Normal, state=39926560) at image/qicon.cpp:676
#12 0x00007f3aeaf9fae3 in Plasma::IconWidgetPrivate::decoration (this=0x32ea660, option=<value optimized out>, useHoverEffect=false, usePressedEffect=false) at ../../plasma/widgets/iconwidget.cpp:812
#13 0x00007f3aeafa1d7c in Plasma::IconWidget::paint (this=0x2ffe2e0, painter=0x7fff7b106f60, option=0x18a34a8, widget=<value optimized out>) at ../../plasma/widgets/iconwidget.cpp:1128
#14 0x00007f3ad09fa0d9 in SystemTray::DBusSystemTrayWidget::paint (this=0x7fff7b1063a0, painter=0x39d005c, option=0x0, widget=0x0) at ../../../../../plasma/generic/applets/systemtray/protocols/dbussystemtray/dbussystemtraywidget.cpp:189
#15 0x00007f3ae80aa0dd in _q_paintItem (item=<value optimized out>, painter=0x7fff7b106f60, option=0x18a34a8, widget=0x0, useWindowOpacity=<value optimized out>, painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4318
#16 0x00007f3ae80ac61c in _q_paintIntoCache (pix=0x7fff7b107580, item=<value optimized out>, pixmapExposed=..., itemToPixmap=<value optimized out>, renderHints=) at graphicsview/qgraphicsscene.cpp:4356
#17 0x00007f3ae80c49b2 in QGraphicsScenePrivate::drawItemHelper (this=<value optimized out>, item=0x2ffe2f0, painter=0x7fff7b109430, option=0x18a34a8, widget=<value optimized out>, painterStateProtection=<value optimized out>) at graphicsview/qgraphicsscene.cpp:4654
#18 0x00007f3ae80c52ad in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x2ffe2f0, painter=0x7fff7b109430, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x2a10340, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4895
#19 0x00007f3ae80c5f42 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x2ffe2f0, painter=0x7fff7b109430, viewTransform=0x7fff7b1091c0, exposedRegion=0x2bac040, widget=0x2a10340, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4817
#20 0x00007f3ae80c5348 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x1c34dc0, painter=0x7fff7b109430, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x2a10340, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4909
#21 0x00007f3ae80c5f42 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x1c34dc0, painter=0x7fff7b109430, viewTransform=0x7fff7b1091c0, exposedRegion=0x2bac040, widget=0x2a10340, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4817
#22 0x00007f3ae80c5348 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x1c99ea0, painter=0x7fff7b109430, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x2a10340, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4909
#23 0x00007f3ae80c5f42 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x1c99ea0, painter=0x7fff7b109430, viewTransform=0x7fff7b1091c0, exposedRegion=0x2bac040, widget=0x2a10340, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4817
#24 0x00007f3ae80c5348 in QGraphicsScenePrivate::draw (this=<value optimized out>, item=0x1c34e60, painter=0x7fff7b109430, viewTransform=<value optimized out>, transformPtr=<value optimized out>, exposedRegion=<value optimized out>, widget=0x2a10340, opacity=<value optimized out>, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4909
#25 0x00007f3ae80c5f42 in QGraphicsScenePrivate::drawSubtreeRecursive (this=<value optimized out>, item=0x1c34e60, painter=0x7fff7b109430, viewTransform=0x7fff7b1091c0, exposedRegion=0x2bac040, widget=0x2a10340, parentOpacity=<value optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4817
#26 0x00007f3ae80c6784 in QGraphicsScenePrivate::drawItems (this=0x18a3280, painter=0x7fff7b109430, viewTransform=0x7fff7b1091c0, exposedRegion=0x2bac040, widget=0x2a10340) at graphicsview/qgraphicsscene.cpp:4699
#27 0x00007f3ae80e22e3 in QGraphicsView::paintEvent (this=<value optimized out>, event=<value optimized out>) at graphicsview/qgraphicsview.cpp:3467
#28 0x00007f3ae7ac0c2e in QWidget::event (this=0x2a892a0, event=0x7fff7b109d60) at kernel/qwidget.cpp:8333
#29 0x00007f3ae7e8c5e6 in QFrame::event (this=0x2a892a0, e=0x7fff7b109d60) at widgets/qframe.cpp:557
#30 0x00007f3ae80de87b in QGraphicsView::viewportEvent (this=0x2a892a0, event=0x7fff7b109d60) at graphicsview/qgraphicsview.cpp:2862
#31 0x00007f3ae8703507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x2a10340, event=0x7fff7b109d60) at kernel/qcoreapplication.cpp:847
#32 0x00007f3ae7a6afac in QApplicationPrivate::notify_helper (this=0x17c76b0, receiver=0x2a10340, e=0x7fff7b109d60) at kernel/qapplication.cpp:4392
#33 0x00007f3ae7a70aed in QApplication::notify (this=0x17b71e0, receiver=0x2a10340, e=0x7fff7b109d60) at kernel/qapplication.cpp:4277
#34 0x00007f3ae9408a36 in KApplication::notify (this=0x17b71e0, receiver=0x2a10340, event=0x7fff7b109d60) at ../../kdeui/kernel/kapplication.cpp:311
#35 0x00007f3ae8703cdc in QCoreApplication::notifyInternal (this=0x17b71e0, receiver=0x2a10340, event=0x7fff7b109d60) at kernel/qcoreapplication.cpp:732
#36 0x00007f3ae7ac767d in sendSpontaneousEvent (this=0x2d013a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x2f5e1f0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#37 QWidgetPrivate::drawWidget (this=0x2d013a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5420
#38 0x00007f3ae7ac8328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5627
#39 0x00007f3ae7ac8159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=4, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5614
#40 0x00007f3ae7ac8159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5614
#41 0x00007f3ae7ac8159 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=6, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5614
#42 0x00007f3ae7ac73da in QWidgetPrivate::drawWidget (this=0x2babbb0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x2f5e1f0) at kernel/qwidget.cpp:5473
#43 0x00007f3ae7c9b408 in QWidgetBackingStore::sync (this=0x2f5e1f0) at painting/qbackingstore.cpp:1328
#44 0x00007f3ae7aba730 in QWidgetPrivate::syncBackingStore (this=0x2babbb0) at kernel/qwidget.cpp:1805
#45 0x00007f3ae7ac12f5 in QWidget::event (this=0x2a892a0, event=0x39aad80) at kernel/qwidget.cpp:8480
#46 0x00007f3ae7e8c5e6 in QFrame::event (this=0x2a892a0, e=0x39aad80) at widgets/qframe.cpp:557
#47 0x00007f3ae7f1a71b in QAbstractScrollArea::event (this=0x2a892a0, e=0x39aad80) at widgets/qabstractscrollarea.cpp:996
#48 0x00007f3aeb6a3a30 in PanelView::event (this=0x2a892a0, event=0x39aad80) at ../../../../plasma/desktop/shell/panelview.cpp:1503
#49 0x00007f3ae7a6afdc in QApplicationPrivate::notify_helper (this=0x17c76b0, receiver=0x2a892a0, e=0x39aad80) at kernel/qapplication.cpp:4396
#50 0x00007f3ae7a70aed in QApplication::notify (this=0x17b71e0, receiver=0x2a892a0, e=0x39aad80) at kernel/qapplication.cpp:4277
#51 0x00007f3ae9408a36 in KApplication::notify (this=0x17b71e0, receiver=0x2a892a0, event=0x39aad80) at ../../kdeui/kernel/kapplication.cpp:311
#52 0x00007f3ae8703cdc in QCoreApplication::notifyInternal (this=0x17b71e0, receiver=0x2a892a0, event=0x39aad80) at kernel/qcoreapplication.cpp:732
#53 0x00007f3ae8706c22 in sendEvent (receiver=0x2a892a0, event_type=<value optimized out>, data=0x1773530) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QCoreApplicationPrivate::sendPostedEvents (receiver=0x2a892a0, event_type=<value optimized out>, data=0x1773530) at kernel/qcoreapplication.cpp:1373
#55 0x00007f3ae80c880a in dispatchPendingUpdateRequests (this=0x18a3280) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:189
#56 QGraphicsScenePrivate::_q_processDirtyItems (this=0x18a3280) at graphicsview/qgraphicsscene.cpp:510
#57 0x00007f3ae80c8d92 in QGraphicsScene::qt_metacall (this=0x18a31c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x3526190) at .moc/release-shared/moc_qgraphicsscene.cpp:130
#58 0x00007f3aeaede2c5 in Plasma::Corona::qt_metacall (this=0x7fff7b1063a0, _c=60620892, _id=0, _a=0x0) at ./corona.moc:109
#59 0x00007f3aeb691b35 in DesktopCorona::qt_metacall (this=0x7fff7b1063a0, _c=60620892, _id=0, _a=0x0) at ./desktopcorona.moc:101
#60 0x00007f3ae8715bde in QObject::event (this=0x18a31c0, e=0x7fff7b1063a0) at kernel/qobject.cpp:1219
#61 0x00007f3ae80c2020 in QGraphicsScene::event (this=0x18a31c0, event=0x39182c0) at graphicsview/qgraphicsscene.cpp:3548
#62 0x00007f3ae7a6afdc in QApplicationPrivate::notify_helper (this=0x17c76b0, receiver=0x18a31c0, e=0x39182c0) at kernel/qapplication.cpp:4396
#63 0x00007f3ae7a70aed in QApplication::notify (this=0x17b71e0, receiver=0x18a31c0, e=0x39182c0) at kernel/qapplication.cpp:4277
#64 0x00007f3ae9408a36 in KApplication::notify (this=0x17b71e0, receiver=0x18a31c0, event=0x39182c0) at ../../kdeui/kernel/kapplication.cpp:311
#65 0x00007f3ae8703cdc in QCoreApplication::notifyInternal (this=0x17b71e0, receiver=0x18a31c0, event=0x39182c0) at kernel/qcoreapplication.cpp:732
#66 0x00007f3ae8706c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1773530) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#67 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1773530) at kernel/qcoreapplication.cpp:1373
#68 0x00007f3ae8730653 in sendPostedEvents (s=0x17cae00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#69 postEventSourceDispatch (s=0x17cae00) at kernel/qeventdispatcher_glib.cpp:277
#70 0x00007f3ae01fd342 in g_main_dispatch (context=0x17c9d20) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2149
#71 g_main_context_dispatch (context=0x17c9d20) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2702
#72 0x00007f3ae02012a8 in g_main_context_iterate (context=0x17c9d20, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2780
#73 0x00007f3ae020145c in g_main_context_iteration (context=0x17c9d20, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#74 0x00007f3ae8730193 in QEventDispatcherGlib::processEvents (this=0x1772c20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#75 0x00007f3ae7b1da4e in QGuiEventDispatcherGlib::processEvents (this=0x7fff7b1063a0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#76 0x00007f3ae8702a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#77 0x00007f3ae8702dec in QEventLoop::exec (this=0x7fff7b10c360, flags=) at kernel/qeventloop.cpp:201
#78 0x00007f3ae8706ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#79 0x00007f3aeb699d23 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../plasma/desktop/shell/main.cpp:118
#80 0x00007f3aeb2f3d8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff7b10c738) at libc-start.c:226
#81 0x0000000000400669 in _start ()

Possible duplicates by query: bug 263927, bug 262756, bug 261012, bug 258706, bug 254590.

Reported using DrKonqi
Comment 1 Aaron J. Seigo 2011-02-01 20:32:48 UTC
Git commit 817ae4b739aee32098a3ea3715dc772518406508 by Aaron Seigo.
Committed on 01/02/11 at 20:29.
Pushed by aseigo into branch 'KDE/4.6'.

try not to crash, a noble goal.

BUG:265089

M  +5    -1    plasma/generic/applets/systemtray/core/task.cpp     

http://commits.kde.org/kde-workspace/817ae4b739aee32098a3ea3715dc772518406508
Comment 2 Aaron J. Seigo 2011-02-01 20:32:49 UTC
Git commit bcc2ad4b33668c7953aac43083a92949957b2465 by Aaron Seigo.
Committed on 01/02/11 at 20:29.
Pushed by aseigo into branch 'master'.

try not to crash, a noble goal.

BUG:265089

M  +5    -1    plasma/generic/applets/systemtray/core/task.cpp     

http://commits.kde.org/kde-workspace/bcc2ad4b33668c7953aac43083a92949957b2465
Comment 3 Dario Andres 2011-03-13 13:45:49 UTC
@Aaron: bug 268157 appears to have a similar backtrace on KDE SC 4.6.1. I think your commit was included on that release (so the bug is still there on some way). Am I wrong ?
Thanks